<div class="panneau_details">

	<div> <!-- Bloc permettant d'afficher les statistiques -->

		<h2>Statistiques de la base</h2>


		<?php if ($message != "") { ?>

			<p class="notification">
				<?= $message ?>
			</p>

		<?php } else { ?>

			<h4>Un n-uplet contenant le nombre de joueurs, le nombre d’équipes, le nombre de classements, le nombre de
				tournois et la moyenne des participants par tournoi</h4>
			<table class="table_resultat">
				<thead>
					<tr>
						<?php
						//var_dump($resultats);
						foreach ($stat_globales['schema'] as $att) {  // pour parcourir les attributs
					
							echo '<th>';
							echo $att['nom'];
							echo '</th>';

						}
						?>
					</tr>
				</thead>
				<tbody>

					<?php
					foreach ($stat_globales['instances'] as $row) {  // pour parcourir les n-uplets
				
						echo '<tr>';
						foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets			
							echo '<td>' . $valeur . '</td>';
						}
						echo '</tr>';
					}
					?>
				</tbody>
			</table>

			<h4>Les phases de tournoi (nom et année de tournoi, niveau de phase) jouées et pour lesquelles s’est qualifié
				l’utilisateur choisi. Le résultat sera trié sur les années selon l’ordre antéchronologique puis sur les
				niveaux de phase selon l’ordre lexicographique inverse</h4>
			<form class="joueur" method="post">
				<label for="joueur">Choisir un joueur :</label>
				<select name="idjoueur" id="joueur">
					<?php
					$joueurs = get_joueurs();
					foreach ($joueurs as $joueur) {
						echo '<option value="' . $joueur['idjoueur'] . '">' . $joueur['pseudo'] . '</option>';
					}
					?>
				</select>
				<input type="submit" name="afficherQualifs" value="Afficher les qualifications" />
			</form>

			<table class="table_resultat">
				<thead>
					<tr>
						<?php
						$id = null;
						$qualifs = null;
						if (isset($_POST['afficherQualifs'])) {
							$id = $_POST['idjoueur'];
							$qualifs = get_joueurs_qualifs($id);
							//var_dump($resultats);
							foreach ($qualifs['schema'] as $att) {  // pour parcourir les attributs
								echo '<th>';
								echo $att['nom'];
								echo '</th>';
							}
						}
						?>
					</tr>
				</thead>
				<tbody>

					<?php
					if ($qualifs !== null) {
						if (empty($qualifs['instances'])) {
							echo '<tr><td colspan="' . count($qualifs['schema']) . '">Aucune qualification trouvée</td></tr>';
						} else {
							foreach ($qualifs['instances'] as $row) {  // pour parcourir les n-uplets
								echo '<tr>';
								foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets
									echo '<td>' . $valeur . '</td>';
								}
								echo '</tr>';
							}
						}
					}
					?>

				</tbody>
			</table>


			<h4>Le nombre d’équipes classées premières des classements et dont aucun des membres n’est premier dans un
				classement individuel</h4>
			<table class="table_resultat">
				<thead>
					<tr>
						<?php
						//var_dump($resultats);
						foreach ($equipes_top_1['schema'] as $att) {  // pour parcourir les attributs
					
							echo '<th>';
							echo $att['nom'];
							echo '</th>';

						}
						?>
					</tr>
				</thead>
				<tbody>

					<?php
					foreach ($equipes_top_1['instances'] as $row) {  // pour parcourir les n-uplets
				
						echo '<tr>';
						foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets
				
							echo '<td>' . $valeur . '</td>';
						}
						echo '</tr>';
					}
					?>
				</tbody>
			</table>

			<h4>Pour les 3 dernières années, donner le nombre moyen de participants aux tournois</h4>
			<table class="table_resultat">
				<thead>
					<tr>
						<?php
						//var_dump($resultats);
						foreach ($participants_tournois_recents['schema'] as $att) {  // pour parcourir les attributs
					
							echo '<th>';
							echo $att['nom'];
							echo '</th>';

						}
						?>
					</tr>
				</thead>
				<tbody>

					<?php
					foreach ($participants_tournois_recents['instances'] as $row) {  // pour parcourir les n-uplets
				
						echo '<tr>';
						foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets
				
							echo '<td>' . $valeur . '</td>';
						}
						echo '</tr>';
					}
					?>
				</tbody>
			</table>



			<h4>Donner le nom et le prénom des joueurs classés de manière individuelle dans le top 5 d’au moins 2
				-- classements de portée nationale</h4>
			<table class="table_resultat">
				<thead>
					<tr>
						<?php
						//var_dump($resultats);
						foreach ($joueurs_au_moins_deux_top_5['schema'] as $att) {  // pour parcourir les attributs
					
							echo '<th>';
							echo $att['nom'];
							echo '</th>';

						}
						?>
					</tr>
				</thead>
				<tbody>

					<?php
					foreach ($joueurs_au_moins_deux_top_5['instances'] as $row) {  // pour parcourir les n-uplets
				
						echo '<tr>';
						foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets
				
							echo '<td>' . $valeur . '</td>';
						}
						echo '</tr>';
					}
					?>
				</tbody>
			</table>

			<h4>Pour chaque taille de plateau, donner le nombre de parties jouées avec un plateau de cette taille</h4>
			<table class="table_resultat">
				<thead>
					<tr>
						<?php
						//var_dump($resultats);
						foreach ($tailles_plateaux['schema'] as $att) {  // pour parcourir les attributs
					
							echo '<th>';
							echo $att['nom'];
							echo '</th>';

						}
						?>
					</tr>
				</thead>
				<tbody>

					<?php
					foreach ($tailles_plateaux['instances'] as $row) {  // pour parcourir les n-uplets
				
						echo '<tr>';
						foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets
				
							echo '<td>' . $valeur . '</td>';
						}
						echo '</tr>';
					}
					?>
				</tbody>
			</table>

			<h4>Le top 5 des joueurs (pseudo) qui ont joué le plus de parties</h4>
			<table class="table_resultat">
				<thead>
					<tr>
						<?php
						//var_dump($resultats);
						foreach ($top_5_joueurs_parties_jouees['schema'] as $att) {  // pour parcourir les attributs
					
							echo '<th>';
							echo $att['nom'];
							echo '</th>';

						}
						?>
					</tr>
				</thead>
				<tbody>

					<?php
					foreach ($top_5_joueurs_parties_jouees['instances'] as $row) {  // pour parcourir les n-uplets
				
						echo '<tr>';
						foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets
				
							echo '<td>' . $valeur . '</td>';
						}
						echo '</tr>';
					}
					?>
				</tbody>
			</table>

		<?php } ?>
	</div>

</div>